> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minestorecms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Custom Page

> Fetch a page using the provided URL. Returns the page data if found.



## OpenAPI

````yaml POST /pages/get
openapi: 3.0.0
info:
  title: MineStoreCMS REST API
  description: Documentation for MineStoreCMS Frontend REST API.
  version: 3.8.7
servers:
  - url: https://v3.minestorecms.com/api
    description: Example URL of Demo Server
security: []
tags: []
paths:
  /pages/get:
    post:
      tags:
        - pages
      summary: Retrieve page by URL
      description: Fetch a page using the provided URL. Returns the page data if found.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  description: The URL of the page to retrieve
              required:
                - url
              example:
                url: https://example.com/page1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates whether the page was found
                  page:
                    type: object
                    description: The page data if found
                    nullable: true
                example:
                  success: true
                  page:
                    id: 1
                    title: Example Page
                    url: page1
                    content: This is the content of the page.
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Validation error message
                example:
                  message: The url field is required.
        '401':
          description: (Unauthorized) Invalid or missing Access Token
      deprecated: false

````